[IronPython] sqlAlachemy

John johnf at jfcomputer.com
Thu Dec 31 19:43:49 CET 2009


On Thursday 31 December 2009 10:31:10 am Vernon Cole wrote:
> sqlAlchemy is documented to work with a PEP-249 compliant db api.  AFAIK
> adodbapi is the only IronPython db module which is fully db api v2.0
> compliant.  Last time I looked (a few years ago) adodbapi was in last place
> on their list of suggested drivers. I have done some work since then which
> should have eliminated some of the problems that sqlAlchemy had with it,
> but I have not checked back. I am in the middle of adding django support to
> adodbapi at this time -- a major revision.  If you want to test sqlAlchemy
> with adodbapi I will try to include any patches you may find. I will try to
> get an alpha test version of the new code out next week.  Stay tuned. --
> Vernon Cole
> http://sourceforge.net/projects/adodbapi
>
> On Thu, Dec 31, 2009 at 11:08 AM, Michael Foord
>
> <fuzzyman at voidspace.org.uk>wrote:
> > On 31/12/2009 17:54, John wrote:
> >> Does ironpython (any version) work with sqlAlachemy?
> >
> > I haven't seen any reports on this list recently of SqlAlchemy either
> > working or not working. Have you tried it?
> >
> > Michael
> >
> >
> >  Johnf

Thanks Vernon.  Please do not do anything on my behalf.  I will not be 
starting an Ironpython for sometime.  I'm just starting the investigation of 
what will be needed.

Johnf





More information about the Ironpython-users mailing list